package com.ibm.tools.attach.javaSE;

/*
 * Licensed Materials - Property of IBM,
 *     Copyright IBM Corp. 2009, 2010  All Rights Reserved
 */

/**
 * Communication with the Attach API server uses textual verbs to request
 * actions and information. Constants for supported operations are defined here.
 */
interface Command {

	/**
	 * Request the load of an agent library by name. - parameters are:
	 */
	public static final String LOADAGENT = "ATTACH_LOADAGENT"; //$NON-NLS-1$

	/**
	 * Request the load of an agent library at a particular path. - parameters
	 * are:
	 */
	public static final String LOADAGENTPATH = (LOADAGENT + "PATH"); //$NON-NLS-1$

	/**
	 * Request the load of an agent library at a particular path.
	 */
	public static final String LOADAGENTLIBRARY = (LOADAGENT + "LIBRARY"); //$NON-NLS-1$

	/**
	 * Request a close of the connection.
	 */
	public static final String DETACH = "ATTACH_DETACH"; //$NON-NLS-1$

	public static final String GET_SYSTEM_PROPERTIES = "ATTACH_GETSYSTEMPROPERTIES"; //$NON-NLS-1$
	public static final String GET_AGENT_PROPERTIES = "ATTACH_GETAGENTPROPERTIES"; //$NON-NLS-1$

}
